<template>
  <item-reel
    :height="theme.height['screen-1/3']"
    :space="theme.spacing['2']"
    :bar-colors="{ thumb: _colors.primary, track: _colors.secondary }"
  >
    <template v-for="({ galleryImage }, index) in images">
      <g-image
        :key="index"
        :src="galleryImage.image"
        :alt="galleryImage.description"
      />
    </template>
  </item-reel>
</template>

<script>
import ItemReel from './ItemReel';

export default {
  name: 'ImageGallery',
  components: {
    ItemReel,
  },
  inject: ['theme'],
  props: {
    images: { type: Array, default: () => [] },
    colors: {
      type: Object,
      default: () => ({ primary: undefined, secondary: undefined }),
    },
  },
  computed: {
    _colors() {
      const defaults = {
        primary: 'var(--g-base-text-color)',
        secondary: 'var(--g-base-bg-color)',
      };

      return {
        primary: this.colors.primary || defaults.primary,
        secondary: this.colors.secondary || defaults.secondary,
      };
    },
  },
};
</script>
